.blog-wrapper{

display:flex;

gap:30px;

flex-wrap:wrap;

}

.blog-card{

width:380px;

background:#fff;

border-radius:20px;

overflow:hidden;

box-shadow:0 10px 30px rgba(0,0,0,.08);

}

.blog-card img{

width:100%;

height:260px;

object-fit:cover;

display:block;

}

.blog-content{

padding:25px;

}

.blog-content h3{

font-size:26px;

margin-bottom:15px;

}

.blog-content p{

line-height:1.7;

color:#777;

margin-bottom:20px;

}

.read-more{

font-weight:bold;

color:#0a3c74;

}